
Gisaf - Feature #3321

Implement authentication with role-based ACLs

15/12/2016 11:34 - Philippe May

Status: Closed Start date: 15/12/2016

Priority: Normal Due date:  

Assignee: Philippe May % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: demo Spent time: 0.00 hour

Description

Related issues:

Blocks Gisaf - Feature #3320: Restrict the import to GIS DB Closed 15/12/2016

Associated revisions

Revision 723e9222 - 23/12/2016 19:21 - Philippe May 

Refs #3321: handle jwt auth (WIP)

Revision 502d967c - 24/12/2016 00:59 - Philippe May 

Refs #3321: fix jwt auth

Revision 04b02097 - 24/12/2016 16:24 - Philippe May 

Refs #3321: make JWT use the same DB backend than Flask-Security

History

#1 - 15/12/2016 11:35 - Philippe May

- Blocks Feature #3320: Restrict the import to GIS DB added

#2 - 25/12/2016 19:15 - Philippe May

- Status changed from New to Resolved

Note that, due to a limitation of Flask-Login, one needs to authenticate separately in the admin and in the main part, even though the users and

passwords are the same.

#3 - 26/12/2016 12:20 - Philippe May

- Target version set to demo

#4 - 26/12/2016 12:24 - Philippe May

- % Done changed from 0 to 100

#5 - 17/11/2017 12:33 - Philippe May

- Status changed from Resolved to Closed
